<?php

namespace FiloBlu\Flow\Model\Filters;

/**
 * Class Multiselect
 * @package FiloBlu\Flow\Model\Filters
 */
class Multiselect extends AbstractFilter
{
    /**
     * @param $value
     * @param $args
     * @return mixed|string
     */
    public function filter($value, $args)
    {
        if (trim($value) == '') {
            return '';
        }

        if ($args && count($args)) {
            foreach ($args as $key => $val) {
                if ($key == 'separator') {
                    return str_replace($val, ",", $value);
                }
            }
        }

        return $value;
    }

}
